'* Explorer.vbs
'* 2003 Werner Pilwousek
'* Stand: 16.07.2007

Option Explicit

Dim WshShell

Main

Sub Main()
	Dim sParam
	If CheckForRun = True Then
		Set WshShell = CreateObject("WScript.Shell")
		
		sParam = FF_GetParam()
		Select Case LCase(sParam)
			Case "templates"
				WshShell.Run "explorer /e," & FF_GetProfile("HTML", "Templates")
			Case "projects"
				WshShell.Run "explorer /e," & FF_GetProfile("HTML", "Projects")
		End Select
	End If
End Sub
'berprft, ob ausgefhrt werden darf
Function CheckForRun()
	Dim MinMaj
	Dim MinMin
	Dim MinBuild
	Dim Tmp
	Dim Fehler

	CheckForRun = False
	
	'Hier wird die minimale Version definiert
	MinMaj = CLng(2)
	MinMin = CLng(73)
	MinBuild = CLng(16)
	
	On Error Resume Next
	
	Tmp = FF_GetImageCount()
	
	If Err.Number = 500 Then
		MsgBox "Laufzeitumgebung ist nicht FixFoto" & vbCRLF & "Diese Laufzeitumgebung wird nicht untersttzt!", vbCritical, "Laufzeitumgebung"
		Err.Clear
		On Error Goto 0
		Exit Function
	End If
	
	Tmp = FF_GetMajor()
	
	If Err.Number = 500 Then
		MsgBox "FixFoto Version vor 2.71 Build 18" & vbCRLF & "Diese Version wird nicht untersttzt!", vbCritical, "Laufzeitumgebung"
		Err.Clear
		On Error Goto 0
		Exit Function
	End If
	
	On Error Goto 0
	
	Fehler = False
	
	If MinMaj > CLng(FF_GetMajor()) Then
		Fehler = True
	ElseIf MinMaj = CLng(FF_GetMajor()) Then
		If MinMin > CLng(FF_GetMinor()) Then
			Fehler = True
		ElseIf MinMin = CLng(FF_GetMinor()) Then
			If MinBuild > CLng(FF_GetBuild()) Then
				Fehler = True
			End If
		End If
	End If
	
	If Fehler = True Then
		MsgBox "FixFoto Version vor " & CStr(MinMaj) & "." & CStr(MinMin) & " Build " & CStr(MinBuild) & vbCRLF & "Diese Version wird nicht untersttzt!", vbCritical, "Laufzeitumgebung"
		Exit Function
	End If
	
	CheckForRun = True
End Function
